import java.net.MalformedURLException;
import java.rmi.*;
import java.rmi.server.*;

public class MyRemoteImpl extends UnicastRemoteObject implements MyRemote
{
    public MyRemoteImpl() throws RemoteException
    {
    }
    
    @Override
    public String sayHello() throws RemoteException
    {
        return "Server says, 'Hey'";
    }

    @Override
    public int getTheAnswer() throws RemoteException
    {
        return 42;
    }

    @Override
    public Ball getRandomBall() throws RemoteException
    {
        Ball b = new Ball(Math.random(), Math.random(), Math.random(), Math.random(), Math.random(), Math.random());
        System.out.println("Server created ball: " + b);
        return b;
    }

    public static void main(String [] args)
    {
        try
        {
            MyRemote service = new MyRemoteImpl();
            Naming.rebind("RemoteHello", service);
        }
        catch (RemoteException e)
        {
            e.printStackTrace();
        }
        catch (MalformedURLException e)
        {
            e.printStackTrace();
        }
    }
    
}
